* {
    margin: 0;
    padding: 0;
}

*,
*:before,
*:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

html,
body {
    height: 100%;
}

body {
    font-size: 14px;
    /* font-family: 'Lato', 'Hiragino Kaku Gothic Pro', 'ヒラギノ角ゴ Pro W3', Meiryo, メイリオ, Osaka, 'MS PGothic', arial, helvetica, sans-serif; */
    background: white;
}

[id] {
    scroll-margin-top: 185px;
    /* ヘッダーの高さに合わせて調整 */
}

#container {
    background: white;
    margin-left: 260px;
    position: relative;
    -moz-transition: margin-left .25s linear;
    -webkit-transition: margin-left .25s linear;
    transition: margin-left .25s linear;
}

#main {
    min-height: 1000px;
    background: white;
    padding: 47px 5px 400px 5px;
    /* min-height: 1400px; */
}

#main p {
    margin: 0 0 0.5em 0.5em;
    text-indent: 1em;
}

#main .inner {
    padding: 60px;
}

/* main-visual */
#main-visual {
    background: #64CE80;
    background: -webkit-linear-gradient(-45deg, #64CE80, #C68BC4);
    background: -moz-linear-gradient(-45deg, #64CE80, #C68BC4);
    background: -ms-linear-gradient(-45deg, #64CE80, #C68BC4);
    background: -o-linear-gradient(-45deg, #64CE80, #C68BC4);
    background: linear-gradient(-45deg, #64CE80, #C68BC4);

    /* height: 400px; */
    display: flex;

    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

#copyright a {
    color: #666;
    text-decoration: none;
}

#copyright a:hover {
    text-decoration: underline;
}

#global-head {
    background: rgb(238, 238, 238, 0.8);
    position: fixed;
    color: #600303;
    width: 100%;
    padding: 10px 25px;
    display: -webkit-flex;
    display: flex;
    font-family: 'Kosugi Maru';
    z-index: 999;
}

#sidebar {
    overflow: scroll;
    padding-top: 50px;
    width: 260px;
    height: 100%;
    position: fixed;
    color: #afc3f2;
    background: rgb(96, 3, 3, 0.85);
}

#brand-logo {
    -webkit-transition: .35s ease-in-out;
    -moz-transition: .35s ease-in-out;
    transition: .35s ease-in-out;
}

#global-nav ul {
    font-family: 'Kosugi Maru';
    list-style: none;
    margin-left: 0;
}

#global-nav>ul>li {
    position: relative;
}

#global-nav a {
    color: #cbaeae;
    text-decoration: none;
    display: block;
    padding: 15px;
    -moz-transition: color .3s linear;
    -webkit-transition: color .3s linear;
    transition: color .3s linear;
}

#global-nav .sub-menu.is-active>a,
#global-nav a:hover {
    color: white;
    /*background: #fff;*/
}

/* sub-menu icon */
#global-nav .sub-menu-head {
    position: relative;
}

#global-nav .sub-menu-head:after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    right: 18px;
    margin: auto;
    vertical-align: middle;
    width: 8px;
    height: 8px;
    border-top: 1px solid #cbaeae;
    border-right: 1px solid #cbaeae;
    -moz-transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}

#global-nav .sub-menu.is-active>a:after,
#global-nav .sub-menu-head:hover:after {
    border-color: #fff;
}

#global-nav .is-active .sub-menu-head:after {
    -moz-transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
}

/* sub-menu */
#global-nav .sub-menu-nav {
    background: rgb(255, 255, 255, 0.6);
    display: none;
    padding: 10px 0;
    /* -moz-transition: all .4s ease;
    -webkit-transition: all .4s ease;
    transition: all .4s ease; */
}

#global-nav .sub-menu-nav a {
    color: #600303;
    padding: 8px 15px;
}

#global-nav .sub-menu-nav a:hover {
    color: white;
}

/* nav-toggle */
#nav-toggle {
    position: fixed;
    top: 8px;
    left: 10px;
    height: 32px;
}

#nav-toggle>div {
    position: relative;
    width: 32px;
}

#nav-toggle span {
    width: 100%;
    height: 5px;
    left: 0;
    display: block;
    background: #fff;
    position: absolute;
    -webkit-transition: .35s ease-in-out;
    -moz-transition: .35s ease-in-out;
    transition: .35s ease-in-out;
}

/* #nav-toggle close */
#nav-toggle span:nth-child(1) {
    top: 0;
}

#nav-toggle span:nth-child(2) {
    top: 11px;
}

#nav-toggle span:nth-child(3) {
    top: 22px;
}

/* z-index */
#nav-toggle {
    z-index: 1000;
}

#container {
    z-index: 900;
}

/* close */
.close #container {
    margin-left: 0;
}

.close #brand-logo {
    margin-left: 30px;
}

.close #nav-toggle span {
    background: #600303;
}

@media screen and (max-width: 900px) {
    #container {
        margin-left: 0;
    }

    #brand-logo {
        margin-left: 25px;
        white-space: nowrap;
    }

    #nav-toggle span {
        background: #033560;
    }

    .close #nav-toggle span {
        background: #fff;
    }

    #sidebar {
        left: -260px;
        z-index: 910;
        -webkit-transition: .35s ease-in-out;
        -moz-transition: .35s ease-in-out;
        transition: .35s ease-in-out;
        overflow: auto;
    }

    .close #sidebar {
        left: 0;
    }
}

@media screen and (max-width: 400px) {}


h1 {
    padding: 0.1em;
    background-color: rgba(255, 255, 255, 0.8);
    position: sticky;
    position: -webkit-sticky;
    top: 44px;
    font-family: 'Kosugi Maru';
    z-index: 990;
    line-height: 1.2;
}

h1:first-letter {
    font-size: 35px;
    color: #ba1b1b;
}

h2 {
    background: linear-gradient(#FEFEFE, #dbbcbc);
    background: -o-linear-gradient(#FEFEFE, #dbbcbc);
    background: -ms-linear-gradient(#FEFEFE, #dbbcbc);
    background: -moz-linear-gradient(#FEFEFE, #dbbcbc);
    background: -webkit-linear-gradient(#FEFEFE, #dbbcbc);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(1.00, #dbbcbc), color-stop(0.00, #FEFEFE));
    border: 1px solid #AAAAAA;
    border-radius: 3px;
    box-sizing: border-box;
    font-size: 18px;
    font-family: 'Kosugi Maru';
    margin: 0 0 1em 0;
    padding: 8px 10px 8px 26px;
    position: relative;
    min-width: 100%;
    z-index: 901;
}

/* h2青の縦ライン */
h2:before {
    background-color: #ba1b1b;
    border-radius: 3px;
    content: " ";
    display: inline-block;
    height: 60%;
    left: 10px;
    margin-right: 10px;
    position: absolute;
    top: 20%;
    width: 6px;
}

/* 2つ目以降のh2上の余白を変更 */
h2:nth-of-type(n+2) {
    margin-top: 5em;
}

h3.triangle {
    /* white-space: nowrap; */
    font-family: 'Kosugi Maru';
    position: relative;
    margin-bottom: 0em;
    padding: 0 0 0.3em 1.6em;
    /*アイコン分のスペース*/
    line-height: 1.3;
    z-index: 900;
}

h3.triangle:before {
    font-family: "Font Awesome 5 Free";
    content: "";
    /*アイコンのユニコード*/
    position: absolute;
    /*絶対位置*/
    font-size: 1em;
    /*サイズ*/
    left: 0.5em;
    /*アイコンの位置*/
    top: 0;
    /*アイコンの位置*/
    color: #ba1b1b;
    /*アイコン色*/
}

h3.underline {
    margin-bottom: 0.5em;
    font-family: 'Kosugi Maru';
    border-bottom: solid 3px #cbaeae;
    position: relative;
}

h3.underline:after {
    position: absolute;
    content: " ";
    display: block;
    border-bottom: solid 3px #ba1b1b;
    bottom: -3px;
    width: 20%;
}

h4 {
    font-family: 'Kosugi Maru';
    margin: 0.5em 0 0em 1.5em;
    position: relative;
    padding-left: 1.2em;
    /*アイコン分のスペース*/
    line-height: 1.1;
}

h4:before {
    font-family: "Font Awesome 5 Free";
    content: "";
    /*アイコンのユニコード*/
    position: absolute;
    /*絶対位置*/
    font-size: 1em;
    /*サイズ*/
    left: 0;
    /*アイコンの位置*/
    top: 0;
    /*アイコンの位置*/
    color: #cbaeae;
    /*アイコン色*/
}


.darkred_ribbon {
    padding: 0px 10px;
    font-weight: bold;
    background: #600303;
    color: #fff;
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    display: inline-flex;
}

/* アコーディオン↓ */
.accordion-container {
    position: relative;
    width: 100%;
    border: 1px solid #600303;
    outline: 0;
    cursor: pointer
}

.accordion-container .accordion-title {
    font-family: 'Kosugi Maru';
    line-height: 1.2;
    display: block;
    position: relative;
    margin: 0;
    padding: 0.625em 2.5em 0.625em 1em;
    font-size: 1.25em;
    font-weight: bold;
    color: #cbaeae;
    background: #600303;
    cursor: pointer;
}

.accordion-container .accordion-title:hover,
.accordion-container .accordion-title:active,
.accordion-container .content-entry.open .accordion-title {
    background-color: #600303;
    color: white;
}

.accordion-container .accordion-title:hover i:before,
.accordion-container .accordion-title:hover i:active,
.accordion-container .content-entry.open i {
    color: white;
}

.accordion-title {
    position: relative;
}

.accordion-title:after {
    content: "";
    position: absolute;
    right: 25px;
    top: 38%;
    transition: all 0.2s ease-in-out;
    display: block;
    width: 8px;
    height: 8px;
    border-top: solid 2px #fff;
    border-right: solid 2px #fff;
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
}

.accordion-title.open:after {
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    top: 45%;
}

.accordion-content {
    display: none;
    padding: 0.5em;
}

/* CSS for CodePen */
.accordion-container {
    width: 100%;
    margin: 1.875em auto;
}

/* アコーディオン↑ */


/* キラキラ↓ */
.kirakira {
    font-family: "Mochiy Pop One";
    animation: color-change 2s linear infinite;
    font-weight: bold;
}

@keyframes color-change {

    0%,
    100% {
        color: #ff1493;
    }

    25% {
        color: #7fff00;
    }

    50% {
        color: #0091EA;
    }

    75% {
        color: #9400d3;
    }
}

/* キラキラ↑ */

/* 四角囲みのみ */
.box2 {
    margin-bottom: 1em;
    padding: 0.5em 0.5em 0.5em 0;
    /*文字色*/
    background: white;
    border: solid 3px #600303;
    /*線*/
    border-radius: 10px;
    /*角の丸み*/
}

/* 四角囲み＆線上にタイトル */
.box26 {
    background-color: white;
    position: relative;
    margin: 2em 0;
    padding: 1em 0.5em 0 0;
    border: solid 3px #cbaeae;
    border-radius: 8px;
}

.box26 .box-title {
    position: absolute;
    display: inline-block;
    top: -8px;
    left: 10px;
    padding: 0 3px;
    line-height: 1;
    background: white;
    color: #cbaeae;
    font-weight: bold;
}

.box26 p {
    margin: 0;
    padding: 0;
}


.blogphoto {
    text-align: center;
    margin: 1em;
}

.blogphoto img {
    vertical-align: bottom;
    max-width: 100%;
    height: 200px;
    margin-bottom: 5px;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    border-radius: 10px;
}

/* 四角囲みタイトルは資格の左上 */
/* .box27 {
    width: fit-content;
    position: relative;
    margin: 3em 0 1em 0;
    padding: 0.5em 1em;
    border: solid 3px red;
}

.box27 .box-title {
    position: absolute;
    display: inline-block;
    top: -27px;
    left: -3px;
    padding: 0 9px;
    height: 25px;
    line-height: 25px;
    font-size: 17px;
    background: red;
    color: #ffffff;
    font-weight: bold;
    border-radius: 5px 5px 0 0;
}

.box27 p {
    font-size: large;
    margin: 0;
    padding: 0;
} */

/* 赤色取り消し二重線 */

.torikeshi {
    background-image: linear-gradient(transparent 0.5em, #e70000 0, #e70000 calc(0.5em + 1px), transparent 0, transparent calc(0.5em + 3px), #e70000 0, #e70000 calc(0.5em + 4px), transparent 0);
    text-decoration: none;
    padding: 0 2px;
}

/* 強調した半分を色付け */

.principal {
    background: linear-gradient(transparent 40%, #cbaeae);
    font-weight: bold;
}

/*------------------------- 
ページのトップに戻るボタン
------------------------- */

#pagetop {
    position: fixed;
    right: 20px;
    bottom: 20px;
    z-index: 5500;
    display: block;
    width: 42px;
    height: 42px;
    cursor: pointer;
    background: rgba(0, 0, 0, .5);
    /* border: 1px solid #ffffff; */
    border-radius: 10px;
    opacity: 0;
    transition: .5s;
}

#pagetop.visible {
    opacity: 1;
    pointer-events: auto;
}

#pagetop span {
    position: absolute;
    top: 16px;
    left: 11px;
    display: block;
    width: 18px;
    height: 18px;
    content: "";
    border-top: 3px solid #ffffff;
    border-right: 3px solid #ffffff;
    -webkit-transform: rotate(315deg);
    transform: rotate(315deg);
}

/* り患届け等の画像 */
.materials_img {
    width: 90%;
    max-width: 500px;
    border: solid 1px black;
    margin-left: 1em;
}

/* 学校概要ページの質実剛健自重自治と校歌 */
.spirit_img {
    width: 90%;
    max-width: 500px;
    border: solid 1px black;
}



/* copyright記述footer */
footer {
    line-height: 2;
    text-align: center;
    bottom: 0;
    width: 100%;
}

/*---------------------------------
トップページの一番上のトップニュース 
-------------------------------- */
.cstm-box-check {
    margin: 1em auto;
    padding: 1.2em 1.5em;
    background-color: rgb(250, 250, 250);
    /* ボックスの背景色 */
    border-radius: 7px;
    max-width: 800px;
    border: 1px solid rgba(128, 128, 128, 0.199);
    box-shadow: 0 3px 5px rgba(0, 0, 0, 0.22);
}

.cstm-box-check .box-title {
    display: flex;
    align-items: center;
    color: #eba500;
    /* アイコン・タイトルの色 */
    font-size: 1.1em;
    font-weight: bold;
    line-height: 1.5;
    margin-bottom: 0.5em;
}

.cstm-box-check .box-title::before {
    font-family: "Font Awesome 5 Free";
    content: "\f00c";
    /* チェックマーク */
    font-weight: 900;
    margin-right: 8px;
    display: flex;
    /* 垂直中央配置 */
    align-items: center;
    justify-content: center;
}

.cstm-box-check p {
    margin: 0;
}

/*------------------------------------
topページ画像ズームしながらスライドショー 
----------------------------------- */
.img-frame {
    position: relative;
    width: 100%;
    aspect-ratio: 16 / 9;
    overflow: hidden;
    margin: 0.5em auto;
    clip-path: inset(0 round 0 0 0 50px);
}

.img-frame p {
    font-family: 'Kosugi Maru';
    position: absolute;
    /*絶対配置*/
    color: white;
    /*文字は白に*/
    font-size: 2.3vw;
    top: 65%;
    left: 0%;
    z-index: 997;
}

.top_yukari {
    z-index: 999;
    position: absolute;
    width: 7%;
    right: 2%;
    top: 80%;
}

@media screen and (max-width: 767px) {
    .img-frame {
        width: 100%;
    }
}

.img-01,
.img-02,
.img-03,
.img-04,
.img-05,
.img-06 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-repeat: no-repeat;
}

.img-01 {
    background-image: url('./topphoto2/topphptp_01.jpg');
    animation: slide-animation-01 45s infinite;
}

.img-02 {
    background-image: url('./topphoto2/topphptp_04.jpg');
    animation: slide-animation-02 45s infinite;
}

.img-03 {
    background-image: url('./topphoto2/topphptp_05.jpg');
    animation: slide-animation-03 45s infinite;
}

.img-04 {
    background-image: url('./topphoto2/topphptp_06.jpg');
    animation: slide-animation-04 45s infinite;
}

.img-05 {
    background-image: url('./topphoto2/topphptp_08.jpg');
    animation: slide-animation-05 45s infinite;
}

.img-06 {
    background-image: url('./topphoto2/topphptp_07.jpg');
    animation: slide-animation-06 45s infinite;
}

@keyframes slide-animation-01 {
    0% {
        opacity: 1;
        transform: scale(1.2);
    }

    11.1% {
        opacity: 1;
    }

    16.7% {
        opacity: 0;
        transform: scale(1.0);
    }

    94.4% {
        opacity: 0
    }

    100% {
        opacity: 1;
        transform: scale(1.2);
    }
}

@keyframes slide-animation-02 {
    0% {
        opacity: 0;
    }

    11.1% {
        opacity: 0;
        transform: scale(1.2);
    }

    16.7% {
        opacity: 1;
    }

    27.8% {
        opacity: 1;
    }

    33.3% {
        opacity: 0;
        transform: scale(1.0);
    }

    100% {
        opacity: 0;
    }
}

@keyframes slide-animation-03 {
    0% {
        opacity: 0;
    }

    27.8% {
        opacity: 0;
        transform: scale(1.2);
    }

    33.3% {
        opacity: 1;
    }

    44.4% {
        opacity: 1;
    }

    50% {
        opacity: 0;
        transform: scale(1.0);
    }

    100% {
        opacity: 0;
    }
}

@keyframes slide-animation-04 {
    0% {
        opacity: 0;
    }

    44.4% {
        opacity: 0;
        transform: scale(1.2);
    }

    50% {
        opacity: 1;
    }

    61.1% {
        opacity: 1;
    }

    66.7% {
        opacity: 0;
        transform: scale(1.0);
    }

    100% {
        opacity: 0;
    }
}

@keyframes slide-animation-05 {
    0% {
        opacity: 0;
    }

    61.1% {
        opacity: 0;
        transform: scale(1.2);
    }

    66.7% {
        opacity: 1;
    }

    77.8% {
        opacity: 1;
    }

    83.3% {
        opacity: 0;
        transform: scale(1.0);
    }

    100% {
        opacity: 0;
    }
}

@keyframes slide-animation-06 {
    0% {
        opacity: 0;
    }

    77.8% {
        opacity: 0;
        transform: scale(1.0);
    }

    83.3% {
        opacity: 1;
    }

    94.4% {
        opacity: 1;
    }

    100% {
        opacity: 0;
        transform: scale(1.2);
    }
}

